Page MenuHomePhabricator

Remove static background from mapframes after going dynamic
Closed, ResolvedPublic

Description

Create a static mapframe, click on it to activate, drag the map around. While new tiles are getting loaded, the static map can be seen under them, adding confusion. Probably, worth replacing it with gray background after initial tiles are loaded?

Related Objects

Event Timeline

MaxSem created this task.Oct 26 2016, 1:16 AM
Restricted Application added a project: Discovery. · View Herald TranscriptOct 26 2016, 1:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik added a subscriber: Yurik.Oct 26 2016, 2:30 AM

@MaxSem, please recheck if this bug is still valid. Cannot repo.

This seems like a valid bug to me. I was previously clearing the inline background-image property once interactive, but during a code cleanup this line went away.

JGirault claimed this task.Oct 26 2016, 4:02 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.

Change 318115 had a related patch set uploaded (by JGirault):
Remove static background image once the map is interactive

https://gerrit.wikimedia.org/r/318115

Change 318115 merged by jenkins-bot:
Remove static background image once the map is interactive

https://gerrit.wikimedia.org/r/318115

MaxSem moved this task from Needs triage to Maps on the Discovery board.Oct 26 2016, 9:20 PM
MaxSem closed this task as Resolved.Oct 26 2016, 9:51 PM
K4-713 added a subscriber: K4-713.Oct 28 2016, 5:42 PM

Change 319354 had a related patch set uploaded (by Yurik):
Remove static background image once the map is interactive

https://gerrit.wikimedia.org/r/319354

Change 319354 abandoned by Yurik:
Remove static background image once the map is interactive

Reason:
wow. Weird - dup code passed all the tests/merges by git somehow. Abandoning.

https://gerrit.wikimedia.org/r/319354

Deskana moved this task from Needs review to Done on the Maps-Sprint board.Apr 19 2017, 4:30 PM